Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Shell

    java.lang.Object
      rdlc.commands.Shell.Language
          rdlc.sw.Shell

Direct Known Subclasses:
  Shell

    public abstract class Shell

extends Shell.Language

Specialization of the `Shell.Language` class for object oriented output generation.

Version:
  $Revision: 1.15 $
Author:
  Greg Gibeling

Field Summary
`protected Declaration` | `rootDecl` The root declaration of the project; the unit shell.

Fields inherited from class rdlc.commands.Shell.Language
`command, config, platform, unit`

Constructor Summary
`Shell(Shell _command, java.lang.String _config, Unit _unit, Platform _platform)`

Method Summary
`protected void` | `generate(Unit _unit)` Generate the shell class for the given unit
`protected void` | `generateSets(Class _class, Unit _unit, Namespace libNamespace, Library library)` Generate the set channels and set externals methods which allow a unit wrapper to inform the unit itself about the externals and links it has access to.

Methods inherited from class rdlc.commands.Shell.Language
`backEndPlugin, invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rootDecl

    protected Declaration rootDecl

  The root declaration of the project; the unit shell.

Constructor Detail

### Shell

    public Shell(Shell _command,
                 java.lang.String _config,
                 Unit _unit,
                 Platform _platform)

See Also:
  `rdlc.commands.Shell.Language#Language(Shell, String, Unit, Platform)`

Method Detail

### generate

    protected void generate(Unit _unit)

  Generate the shell class for the given unit

  Parameters:
    `_unit` - The unit to generate the shell class for.

### generateSets

    protected void generateSets(Class _class,
                                Unit _unit,
                                Namespace libNamespace,
                                Library library)

  Generate the set channels and set externals methods which allow a unit wrapper to inform the unit itself about the externals and links it has access to.

  Parameters:
    `_class` - The wrapper class being generated.
    `_unit` - The unit for which the wrapper was generated.
    `libNamespace` - Library namespace to load pre-existing classes from.
    `library` - Library to load classes from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD